''' Logging subsystem '''

import  logging
import  zasd.config as config

log = logging.getLogger('zasd')

def bootstrap_logging():
    ''' Bootstrap logging using a hardcoded configuration '''

    logging.basicConfig(
        level=logging.NOTSET,
        format='%(asctime)s %(name)s [%(levelname)-8s]: %(message)s',
        datefmt='%a, %d %b %Y, %H:%M:%S')

    log.setLevel(logging.NOTSET)
    logging.getLogger('apscheduler').setLevel(logging.NOTSET)

def configure_logging():
    ''' Configure logging using the loaded configuration '''

    level = config.get('log_level')

    logging.basicConfig(
        level=level,
        format=config.get('log_format'),
        datefmt=config.get('log_date_format'),
        force=True)

    log.setLevel(level)
    logging.getLogger('asyncio').setLevel(logging.WARN)
    logging.getLogger('apscheduler').setLevel(logging.WARN)

bootstrap_logging()
